org.eclipse.ecf.remoteservice.rest.client

## Class RestClientContainer

- java.lang.Object
- - org.eclipse.ecf.core.AbstractContainer
  - - org.eclipse.ecf.remoteservice.client.AbstractClientContainer
    - - org.eclipse.ecf.remoteservice.rest.client.AbstractRestClientContainer
      - - org.eclipse.ecf.remoteservice.rest.client.RestClientContainer

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, IContainer, IIdentifiable, IRemoteServiceClientContainerAdapter, IRemoteServiceConsumer, IRemoteServiceContainerAdapter, IRemoteServiceHost

    public class RestClientContainer
    extends AbstractRestClientContainer
    implements IRemoteServiceClientContainerAdapter

A container for REST services.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRestClientContainer

`AbstractRestClientContainer.RestRemoteServiceClientRegistration`

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRestClientContainer

`SLASH`

### Fields inherited from class org.eclipse.ecf.remoteservice.client.AbstractClientContainer

`alwaysSendDefaultParameters, connectContext, connectedID, connectLock, containerID, parameterSerializer, parameterSerializerLock, registry, remoteResponseDeserializer, remoteResponseDeserializerLock, remoteServiceFactory, remoteServiceListeners`

### Constructor Summary

Constructors
Constructor and Description
`RestClientContainer(RestID id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IRemoteService` `createRemoteService(RemoteServiceClientRegistration registration)` Create a remote service for a given remote service registration.

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRestClientContainer

`createRestServiceRegistration, createRestServiceRegistration, getConnectNamespace, getRemoteServiceReferences, getRemoteServiceReferences, prepareBaseUri, prepareEndpointAddress, prepareResourcePath, setRemoteServiceCallPolicy, substituteParameters, transformTarget`

### Methods inherited from class org.eclipse.ecf.remoteservice.client.AbstractClientContainer

`addRemoteServiceListener, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, connect, createRemoteFilter, createUriRequest, disconnect, dispose, getAllRemoteServiceReferences, getConnectContextForAuthentication, getConnectedID, getID, getParameterSerializer, getParameterSerializer, getRemoteCallTargetID, getRemoteService, getRemoteServiceID, getRemoteServiceNamespace, getRemoteServiceReference, getRemoteServiceReferences, getResponseDeserializer, getResponseDeserializer, logException, prepareCallParameters, prepareExtraParameters, prepareParameters, processResponse, registerCallables, registerCallables, registerCallables, registerRemoteService, removeRemoteServiceListener, serializeParameter, serializeParameter, setAlwaysSendDefaultParameters, setConnectContextForAuthentication, setParameterSerializer, setRemoteServiceFactory, setResponseDeserializer, ungetRemoteService`

### Methods inherited from class org.eclipse.ecf.core.AbstractContainer

`addListener, fireContainerEvent, getAdapter, getPasswordFromConnectContext, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.remoteservice.client.IRemoteServiceClientContainerAdapter

`registerCallables, registerCallables, setParameterSerializer, setResponseDeserializer`

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteServiceContainerAdapter

`addRemoteServiceListener, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, createRemoteFilter, getAllRemoteServiceReferences, getRemoteService, getRemoteServiceID, getRemoteServiceNamespace, getRemoteServiceReference, getRemoteServiceReferences, getRemoteServiceReferences, getRemoteServiceReferences, registerRemoteService, removeRemoteServiceListener, setConnectContextForAuthentication, setRemoteServiceCallPolicy, ungetRemoteService`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### RestClientContainer

    public RestClientContainer(RestID id)

### Method Detail

#### createRemoteService

    protected IRemoteService createRemoteService(RemoteServiceClientRegistration registration)

Description copied from class: `AbstractClientContainer`
Create a remote service for a given remote service registration. This method will be called as part of the RemoteServiceAdmin.importService.

Specified by:
  `createRemoteService` in class `AbstractRestClientContainer`
Parameters:
  `registration` - the remote service client registration associated with the service being imported. Will not be `null`.